"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Provider = void 0;
const react_1 = __importStar(require("react"));
const use_isomorphic_layout_effect_1 = require("../hook/use-isomorphic-layout-effect");
const context_1 = require("./context");
exports.Provider = ({ children, engine }) => {
    const handleEngineUpdate = react_1.useCallback(() => {
        setEngineValue(Object.assign({}, engine));
    }, [engine]);
    const [engineValue, setEngineValue] = react_1.useState(engine);
    const engineListenerId = react_1.useRef();
    use_isomorphic_layout_effect_1.useIsomorphicLayoutEffect(() => {
        if (engineListenerId.current) {
            engineValue.removeEngineListener(engineListenerId.current);
            engineListenerId.current = undefined;
        }
        setEngineValue(engine);
        if (!engineListenerId.current) {
            engineListenerId.current = engine.addEngineListener(handleEngineUpdate);
        }
        return () => {
            if (engineListenerId.current) {
                engine.removeEngineListener(engineListenerId.current);
                engineListenerId.current = undefined;
            }
        };
    }, [engine, handleEngineUpdate]);
    return react_1.default.createElement(context_1.EngineContext.Provider, { value: engineValue }, children);
};
//# sourceMappingURL=provider.js.map