import { Engine } from '../component/context';
/**
 * A hook to access the value of the `EngineContext`. This is a low-level hook that you should
 * usually not need to call directly.
 *
 * @returns {EngineContext} the value of the `EngineContext`
 *
 * @example
 * export const ExampleComponent = () => {
 *   const engine = useEngineContext();
 *   return <div>{engine.getDataFile()}</div>;
 * };
 */
export declare const useEngineContext: (hookName?: string) => Engine;
//# sourceMappingURL=use-engine-context.d.ts.map