import { useLayoutEffect } from 'react';
/**
 * React currently throws a warning when using useLayoutEffect on the server. To get around it, we
 * can conditionally useEffect on the server (no-op) and useLayoutEffect in the browser. We need
 * useLayoutEffect to ensure ensure the engine subscription is created synchronously, otherwise
 * an engine update may occur before the subscription is created and an inconsistent state may be
 * observed.
 */
export declare const useIsomorphicLayoutEffect: typeof useLayoutEffect;
//# sourceMappingURL=use-isomorphic-layout-effect.d.ts.map