import { EngineStatus } from '@context-experiments/core';
/**
 * A hook to access the status of the Decision Engine.
 *
 * @returns {EngineStatus} the current status of the Decision Engine.
 *
 * @example
 * export const ExampleComponent = () => {
 *   const {
 *     activeExperiment,
 *     activeVariant,
 *     isDataFileAvailable,
 *     isDecisionMade,
 *     isDeviceIdentified,
 *   } = useStatus();
 *   return (
 *     <ul>
 *       <li>{activeExperiment}</li>
 *       <li>{activeVariant}</li>
 *       <li>{isDataFileAvailable}</li>
 *       <li>{isDecisionMade}</li>
 *       <li>{isDeviceIdentified}</li>
 *     </ul>
 *   );
 * };
 */
export declare const useStatus: () => EngineStatus;
//# sourceMappingURL=use-status.d.ts.map